using System;
using System.Data;
using System.Data.SqlClient;
using DataLinkMesWork;
using System.Collections;
using System.Collections.Specialized;
//using SystemFramework;

namespace bizFacade
{
    /// <summary>
    /// [MES_计划BOM_工位与名称_查询_是否启用MES]
    /// </summary>
    public partial class BaseDataSystemMES
    {
        /// <summary>
        /// [MES_计划BOM_工位与名称_查询_是否启用MES]
        /// </summary>
        /// <param name="opName"></param>
        public static int IsMES_Select(string opName)
        {
            int count;
            string sql = "exec MES_计划BOM_工位与名称_查询_是否启用MES '" + opName + "'";
            DataAccess.ExecuteOutNum(sql, out count);
            return count;
        }
        /// <summary>
        /// [MES_计划BOM_工位与名称_查询_在线状态]
        /// </summary>
        /// <param name="opName"></param>
        public static int IsOnLine_Select(string opName)
        {
            int count;
            string sql = "exec MES_计划BOM_工位与名称_查询_在线状态 '" + opName + "'";
            DataAccess.ExecuteOutNum(sql, out count);
            return count;
        }
        /// <summary>
        /// [MES_计划BOM_工位与名称_查询_是否启用MES]
        /// </summary>
        /// <param name="opName"></param>
        /// <param name="tagValue"></param>
        public static void IsMES_Update(string opName,string tagValue)
        {
            string sql = "exec MES_计划BOM_工位与名称_更新_是否启用MES '" + opName + "'," + tagValue;
            DataAccess.ExecuteSQL(sql);
        }
        /// <summary>
        /// [MES_计划BOM_工位与名称_查询_在线状态]
        /// </summary>
        /// <param name="opName"></param>
        /// <param name="tagValue"></param>
        public static void IsOnLine_Update(string opName, string tagValue)
        {
            string sql = "exec MES_计划BOM_工位与名称_更新_在线状态 '" + opName + "'," + tagValue;
            DataAccess.ExecuteSQL(sql);
        }
    }
}
